<script>
	(function () {
		var waitIntgrtn = setInterval(function () {
			if (!window.intgrtn) {
				return false;
			}
			clearInterval(waitIntgrtn);

            var checkboxAgreeTerms = window.intgrtn.lookup("checkboxAgreeTerms") == "true" ? true : false;

			window.intgrtn.setOptions({
				forms: {
					signup: {
						placeholders: {
							firstName: "<?= $firstName ?>",
							lastName: "<?= $lastName ?>",
							email: "<?= $email ?>",
						},
						buttons: {
							submit: {
								text: "<?= $submitButton ?>",
							},
						},
                        fields: {
                            checkboxAgreeTerms: {
                                show: checkboxAgreeTerms,
                            },
                        },
                        labels: {
                            checkboxAgreeTerms: "I agree with the <a href='#' data-intgrtn-link-agreements='1'>Terms&Conditions</a>",
                        },
					},
				}
			});
		}, 10);
	}());
</script>
<div class="form-signup-holder">
	<div data-intgrtn-form-signup=""></div>
</div>
